.popup-product {
  align-items: center;
  display: flex;
  flex-direction: column;
}

.popup-product__image {
  max-width: 300px;
}

.popup-product__image--secondary {
  display: none;
}

.popup-product__image:hover {
  .popup-product__image--main {
    display: none;
  }

  .popup-product__image--secondary {
    display: block;
  }
}

.popup-product__heading {
  font-size: 24px;
  margin-top: 15px;
  text-align: center;
}

.popup-product__price {
  color: #029e39;
  font-size: 22px;
  margin-bottom: 10px;
}

.popup-product__servings {
  align-items: center;
  display: flex;
  margin: 10px auto;
}

.popup-product__servings__amount {
  background: url('../img/servings.png') center center no-repeat;
  background-size: cover;
  display: inline-block;
  font-weight: bold;
  height: 41px;
  line-height: 41px;
  margin-right: 10px;
  padding-left: 3px;
  text-align: center;
  width: 51px;
}

.popup-product__button {
  background: $button-background;
  border: 2px solid $button-border-color;
  color: $button-color;
  cursor: pointer;
  display: block;
  font-size: 14px;
  font-weight: 600;
  height: 40px;
  line-height: 36px;
  margin: 10px auto 10px;
  padding: 0 50px;
  text-align: center;
  text-transform: uppercase;
  transition: background 0.3s, color 0.3s;
}

.popup-product__pairing {
  border: solid $divider-color;
  border-width: 1px 0;
  padding-top: 16px;
  text-align: center;
  width: 100%;

  p {
    font-size: 18px;
  }
}

.popup-product__frozen {
  align-items: center;
  display: flex;
  justify-content: center;
}

.popup-product__snowflake {
  height: 30px;
  margin-right: 20px;
  width: 30px;
}

.popup-product__details {
  border-bottom: 1px solid $divider-color;
  padding: 25px 0 10px;
  width: 100%;

  > summary {
    font-size: 24px;
    outline: none;
    padding-bottom: 15px;
  }

  &[open] summary ~ * {
    animation: left-sweep 0.5s;
  }
}
